Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.impl
Class TransactionalCommandService

    java.lang.Object
      org.jbpm.shared.services.impl.TransactionalCommandService

All Implemented Interfaces:
  org.drools.core.command.CommandService, CommandExecutor

Direct Known Subclasses:
  TransactionalCommandServiceEJBImpl

    public class TransactionalCommandService

extends Object
implements org.drools.core.command.CommandService

Constructor Summary
`TransactionalCommandService(javax.persistence.EntityManagerFactory emf)`

Method Summary
`
`<T> T`
` | `execute(Command<T> command)` Execute the command and return a ExecutionResults for the results of the Command.
`org.kie.internal.command.Context` | `getContext()`
`protected void` | `setEmf(javax.persistence.EntityManagerFactory emf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionalCommandService

    public TransactionalCommandService(javax.persistence.EntityManagerFactory emf)

Method Detail

### getContext

    public org.kie.internal.command.Context getContext()

  Specified by:
    `getContext` in interface `org.drools.core.command.CommandService`

### setEmf

    protected void setEmf(javax.persistence.EntityManagerFactory emf)

### execute

    public <T> T execute(Command<T> command)

  Description copied from interface: `CommandExecutor`
  Execute the command and return a ExecutionResults for the results of the Command.

  Specified by:
    `execute` in interface `CommandExecutor`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.